Package it.ernytech.tdlib

## Class TdApi.SearchChatsOnServer

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchChatsOnServer

Enclosing class:
  TdApi

    public static class TdApi.SearchChatsOnServer
    extends TdApi.Function

Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the chat list.

Returns `Chats`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of chats to be returned.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SearchChatsOnServer()` Default constructor.
`SearchChatsOnServer​(java.lang.String query, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### query

    public java.lang.String query

Query to search for.

#### limit

    public int limit

Maximum number of chats to be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchChatsOnServer

    public SearchChatsOnServer()

Default constructor.

#### SearchChatsOnServer

    public SearchChatsOnServer​(java.lang.String query,
                               int limit)

Constructor for initialization of all fields.

Parameters:
  `query` - Query to search for.
  `limit` - Maximum number of chats to be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR